Subject: Re: bug#9803: [PATCH] Add ERT option to skip test

From: Michael Albinus <[email-masked]>
Date: Mon, 21 Oct 2013 19:02:00 +0200

Stefan Monnier <[email-masked]> writes:

>> I've tried to change it as proposed by Stefan, but I'm too stupid to
>> manage all this sophisticated cl-* stuff :-(
>
> What have you tried and how did it fail?

I've tried a kind of `letf'; this failed because it replaces only
function calls of functions which exist already. Does not work, because
`skip-if' shall not exist.

Then I did traverse `remaining' in `ert--parse-keys-and-body', replacing all
`skip-if' occurences in the car's by `ert--skip-if'. This did work
somehow, but only if `skip-if' is called on the top-level of the body of
an ert test. Parsing the whole structure might be possible, but I don't
know a respective function/macro, and writing an own recursive parsing
seems to expensive to me.

>         Stefan

Best regards, Michael.